use crate::dom::element::DomElement;
use crate::dom::node::AsDomNode;

impl DomElement {
    /// Append a child node to this element's list of children.
    pub fn append_child(&self, child: &impl AsDomNode) {
        unsafe {
            afia_component_sys::dom_element_append_child(
                self.inner.component_imports.pointer(),
                self.inner.element,
                child.handle(),
            )
        };
    }
}
